package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 非电能源价格配置对象 adm_fd_energyprice_config
 * 
 * @author ruoyi
 * @date 2025-08-16
 */
public class FdEnergyPriceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 配置代码 */
    private String cfgCode;

    /** 园区代码 */
    private String areaCode;

    private String areaName;

    /** 计量介质 */
    private Integer meterCls;

    private String meterClsName;

    /** 单位价格 */
    private Double unitPrice;

    /** 计量单位 */
    private String meterUnit;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCfgCode() {
        return cfgCode;
    }

    public void setCfgCode(String cfgCode) {
        this.cfgCode = cfgCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public String getMeterClsName() {
        return meterClsName;
    }

    public void setMeterClsName(String meterClsName) {
        this.meterClsName = meterClsName;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getMeterUnit() {
        return meterUnit;
    }

    public void setMeterUnit(String meterUnit) {
        this.meterUnit = meterUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgCode", getCfgCode())
            .append("areaCode", getAreaCode())
            .append("meterCls", getMeterCls())
            .append("unitPrice", getUnitPrice())
            .append("meterUnit", getMeterUnit())
            .toString();
    }
}
